summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Thorn Inurcide <thorn-inurcide@yandex.com>2015-08-30 09:18:09 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-08-30 09:18:09 +0700
commit17f993b2470afc612c573aece0bfd8de889f962f (patch)
tree8f296c4996bcb9771537e28d99f20d95c26f78d0
parentfb9a280dba96dc8209c1a0f4229faa7e79434e29 (diff)
downloadslackbuilds-17f993b24.tar.gz
slackbuilds-17f993b24.tar.xz
multimedia/tomahawk: Added (A new kind of music player).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--multimedia/tomahawk/README11
-rw-r--r--multimedia/tomahawk/doinst.sh9
-rw-r--r--multimedia/tomahawk/slack-desc19
-rw-r--r--multimedia/tomahawk/tomahawk.SlackBuild100
-rw-r--r--multimedia/tomahawk/tomahawk.info10
5 files changed, 149 insertions, 0 deletions
diff --git a/multimedia/tomahawk/README b/multimedia/tomahawk/README
new file mode 100644
index 0000000000..1f449b87f8
--- /dev/null
+++ b/multimedia/tomahawk/README
@@ -0,0 +1,11 @@
+A new kind of music player that invites all your streams, downloads,
+cloud music storage, playlists, radio stations and friends to the
+same party. It's about time they all mingle.
+
+This will require gst1-plugins-ugly for mp3 support
+
+
+This optionally requires:
+
+Telepathy-Qt: Telepathy-Qt is needed for sharing Jabber/GTalk accounts with Telepathy
+KDE4: Provides support for configuring Telepathy Accounts from inside Tomahawk
diff --git a/multimedia/tomahawk/doinst.sh b/multimedia/tomahawk/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/multimedia/tomahawk/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/multimedia/tomahawk/slack-desc b/multimedia/tomahawk/slack-desc
new file mode 100644
index 0000000000..934c3cb07a
--- /dev/null
+++ b/multimedia/tomahawk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tomahawk: tomahawk (A new kind of music player)
+tomahawk:
+tomahawk: A new kind of music player that invites all your streams, downloads,
+tomahawk: cloud music storage, playlists, radio stations and friends to the
+tomahawk: same party. It's about time they all mingle.
+tomahawk:
+tomahawk:
+tomahawk:
+tomahawk:
+tomahawk:
+tomahawk: Home: http://www.tomahawk-player.org/
diff --git a/multimedia/tomahawk/tomahawk.SlackBuild b/multimedia/tomahawk/tomahawk.SlackBuild
new file mode 100644
index 0000000000..ed985a9937
--- /dev/null
+++ b/multimedia/tomahawk/tomahawk.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for tomahawk
+
+# Copyright 2015 Thorn Inurcide USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tomahawk
+VERSION=${VERSION:-0.8.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+# Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog* LICENSE* PACKAGING* README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/tomahawk/tomahawk.info b/multimedia/tomahawk/tomahawk.info
new file mode 100644
index 0000000000..4226b3047b
--- /dev/null
+++ b/multimedia/tomahawk/tomahawk.info
@@ -0,0 +1,10 @@
+PRGNAM="tomahawk"
+VERSION="0.8.4"
+HOMEPAGE="tomahawk-player.org"
+DOWNLOAD="http://download.tomahawk-player.org/tomahawk-0.8.4.tar.bz2"
+MD5SUM="04832abe1786edcc55805875b5882445"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jreen libechonest LucenePlusPlus qtkeychain sparsehash quazip libwebsocketpp"
+MAINTAINER="Thorn Inurcide"
+EMAIL="thorn-inurcide@yandex.com"